You'll be ok to use the Hey Pharmacist app if you’re using an:

  • iPhone 5S or newer, running operating system (iOS) v11 or later

  • Android operating system v5.0 or later 

You can check which operating system your device uses in its ‘settings’. 

You can also manage your account on our website: https://heypharmacist.co.uk/

Did this answer your question?